curl --request POST \
--url https://api.app.fleetit.com/v2/driver-agreements/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"agreement_number": "ABC-0000-0004",
"agreement_start_date": "2026-01-09T00:00:00Z",
"agreement_end_date": "2026-01-10T11:59:59Z",
"driver": 103,
"vehicle": 7883
}
]
'[
{
"agreement_number": "ABC-0000-0004",
"agreement_start_date": "2026-01-09T00:00:00-05:00",
"agreement_end_date": "2026-01-10T11:59:59.990000-05:00",
"driver": 103,
"vehicle": 7883,
"parent_agreement": null
}
]Creates multiple driver agreements based on provided vehicle and driver details.
curl --request POST \
--url https://api.app.fleetit.com/v2/driver-agreements/bulk/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
[
{
"agreement_number": "ABC-0000-0004",
"agreement_start_date": "2026-01-09T00:00:00Z",
"agreement_end_date": "2026-01-10T11:59:59Z",
"driver": 103,
"vehicle": 7883
}
]
'[
{
"agreement_number": "ABC-0000-0004",
"agreement_start_date": "2026-01-09T00:00:00-05:00",
"agreement_end_date": "2026-01-10T11:59:59.990000-05:00",
"driver": 103,
"vehicle": 7883,
"parent_agreement": null
}
]Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Unique number assigned to the agreement.
"ABC-0000-0004"
Start date of the agreement (ISO 8601 format).
"2026-01-09T00:00:00Z"
End date of the agreement (ISO 8601 format).
"2026-01-10T11:59:59Z"
ID of the driver associated with the agreement.
103
ID of the vehicle associated with the agreement.
7883
Bulk Driver Agreements Created Successfully
Unique identifier of the created agreement.
"ABC-0000-0004"
Start date of the created agreement.
"2026-01-09T00:00:00-05:00"
End date of the created agreement.
"2026-01-10T11:59:59.990000-05:00"
ID of the driver linked to the created agreement.
103
ID of the vehicle linked to the created agreement.
7883
Parent agreement ID if applicable; null otherwise.
null
Was this page helpful?